#include "edockwidgetplugin.h"

#include "edockwidget.h"

#include <QtCore/QtPlugin>


EDockWidgetPlugin::EDockWidgetPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void EDockWidgetPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool EDockWidgetPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * EDockWidgetPlugin::createWidget(QWidget * parent) {
	return new EDockWidget(parent);
}


QString EDockWidgetPlugin::name() const {
	return QLatin1String("EDockWidget");
}


QString EDockWidgetPlugin::group() const {
	return QLatin1String("Containers");
}


QIcon EDockWidgetPlugin::icon() const {
	return QIcon(":/icons/widgets/edockwidget.png");
}


QString EDockWidgetPlugin::toolTip() const {
	return QLatin1String("");
}


QString EDockWidgetPlugin::whatsThis() const {
	return QLatin1String("");
}


bool EDockWidgetPlugin::isContainer() const {
	return true;
}


QString EDockWidgetPlugin::domXml() const {
	return QLatin1String("<widget class=\"EDockWidget\" name=\"dockWidget\">\n</widget>\n");
}


QString EDockWidgetPlugin::includeFile() const {
	return QLatin1String("edockwidget.h");
}
